;InnoSetupVersion=5.1.10

[Setup]
AppName=BlindWrite 6
AppVerName=BlindWrite 6.0.4.36
AppId=BlindWrite 6
AppVersion=6.0.4.34
AppPublisher=VSO Software
AppPublisherURL=www.vso-software.fr
AppSupportURL=www.vso-software.fr
AppUpdatesURL=www.vso-software.fr
AppMutex=bw5_installer
DefaultDirName={pf}\VSO\BlindWrite6
DefaultGroupName=VSO\BlindWrite
UninstallDisplayIcon={app}\BW.exe
UninstallDisplayName=BlindWrite 6
OutputBaseFilename=BlindWrite6_setup_604_36
Compression=lzma
PrivilegesRequired=poweruser
ExtraDiskSpaceRequired=10
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\BW.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\..\PcSetup.exe"; DestDir: "{app}\.."; Flags: ignoreversion 
Source: "{app}\whatsnew.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\..\common\sounds\OnNewVersion_0409.ogg"; DestDir: "{app}\..\common\sounds"; 
Source: "{app}\..\common\sounds\OnNewVersion_040C.ogg"; DestDir: "{app}\..\common\sounds"; 
Source: "{app}\..\common\sounds\OnNewVersion_0407.ogg"; DestDir: "{app}\..\common\sounds"; 
Source: "{app}\..\common\sounds\OnOperationComplete_0409.ogg"; DestDir: "{app}\..\common\sounds"; 
Source: "{app}\..\common\sounds\OnOperationComplete_040C.ogg"; DestDir: "{app}\..\common\sounds"; 
Source: "{app}\..\common\sounds\OnOperationComplete_0407.ogg"; DestDir: "{app}\..\common\sounds"; 
Source: "{app}\..\common\sounds\OnProblemDetected_0409.ogg"; DestDir: "{app}\..\common\sounds"; 
Source: "{app}\..\common\sounds\OnProblemDetected_040C.ogg"; DestDir: "{app}\..\common\sounds"; 
Source: "{app}\..\common\sounds\OnProblemDetected_0407.ogg"; DestDir: "{app}\..\common\sounds"; 
Source: "{app}\..\common\sounds\OnQuestion_0409.ogg"; DestDir: "{app}\..\common\sounds"; 
Source: "{app}\..\common\sounds\OnQuestion_040C.ogg"; DestDir: "{app}\..\common\sounds"; 
Source: "{app}\..\common\sounds\OnQuestion_0407.ogg"; DestDir: "{app}\..\common\sounds"; 
Source: "{app}\..\common\sounds\OnWritableMediaRequired_0409.ogg"; DestDir: "{app}\..\common\sounds"; 
Source: "{app}\..\common\sounds\OnWritableMediaRequired_040C.ogg"; DestDir: "{app}\..\common\sounds"; 
Source: "{app}\..\common\sounds\OnWritableMediaRequired_0407.ogg"; DestDir: "{app}\..\common\sounds"; 
Source: "{app}\common\sounds\OnOperationComplete_0C0A.ogg"; DestDir: "{app}\common\sounds"; Flags: ignoreversion 
Source: "{app}\common\sounds\OnNewVersion_0C0A.ogg"; DestDir: "{app}\common\sounds"; Flags: ignoreversion 
Source: "{app}\common\sounds\OnWritableMediaRequired_0C0A.ogg"; DestDir: "{app}\common\sounds"; Flags: ignoreversion 
Source: "{app}\common\sounds\OnProblemDetected_0C0A.ogg"; DestDir: "{app}\common\sounds"; Flags: ignoreversion 
Source: "{app}\common\sounds\OnQuestion_0C0A.ogg"; DestDir: "{app}\common\sounds"; Flags: ignoreversion 
Source: "{app}\avcodec.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\avformat.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\avutil.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Lang\bw5_00000401.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000404.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000405.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000406.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000407.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000408.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000409.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000410.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000419.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000422.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000425.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000429.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_0000040C.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_0000041C.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_0000041B.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_0000041D.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_0000041F.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000413.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000414.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000415.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000416.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000418.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00002C0A.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000C0A.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000816.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_0000042A.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000424.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000411.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_0000041A.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_0000040E.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_0000081A.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000403.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_00000412.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\BW5_help.htm"; DestDir: "{app}"; 
Source: "{app}\BW5_Hilfe.htm"; DestDir: "{app}"; 
Source: "{app}\profiles\cdg.ini"; DestDir: "{app}\profiles"; 
Source: "{app}\profiles\default.ini"; DestDir: "{app}\profiles"; 
Source: "{app}\profiles\normal.ini"; DestDir: "{app}\profiles"; 
Source: "{app}\profiles\badsectors.ini"; DestDir: "{app}\profiles"; 
Source: "{app}\profiles\audio.ini"; DestDir: "{app}\profiles"; 
Source: "{app}\profiles\isomode.ini"; DestDir: "{app}\profiles"; 
Source: "{app}\..\tools\lang\ERASER_00000401.SPK"; DestDir: "{app}\..\tools\lang"; 
Source: "{app}\..\tools\lang\ERASER_00000407.SPK"; DestDir: "{app}\..\tools\lang"; 
Source: "{app}\..\tools\lang\ERASER_0000040C.SPK"; DestDir: "{app}\..\tools\lang"; 
Source: "{app}\..\tools\lang\ERASER_00000413.SPK"; DestDir: "{app}\..\tools\lang"; 
Source: "{app}\..\tools\lang\ERASER_00000411.SPK"; DestDir: "{app}\..\tools\lang"; 
Source: "{app}\..\tools\lang\ERASER_ORIGINAL.SPK"; DestDir: "{app}\..\tools\lang"; 
Source: "{app}\..\tools\Eraser.exe"; DestDir: "{app}\..\tools"; 
Source: "{app}\EzPlay.exe"; DestDir: "{app}"; 
Source: "{app}\Lang\Lang_Editor.exe"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\prefixes.ini"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\bw5_ORIGINAL.SPK"; DestDir: "{app}\Lang"; 
Source: "{app}\BB.exe"; DestDir: "{app}"; 

[Dirs]
Name: "{app}\Lang"; 
Name: "{app}\sounds"; 
Name: "{app}\profiles"; 
Name: "{app}\lang"; 

[Registry]
Root: HKLM; Subkey: "Software\VSO"; ValueName: "BlindWrite6"; ValueType: String; ValueData: "{app}\bw.exe"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: ".b5t"; ValueType: String; ValueData: "BlindWrite TOC file"; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".b6t"; ValueType: String; ValueData: "BlindWrite TOC file"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "BlindWrite TOC file"; ValueType: String; ValueData: "BlindWrite image"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "BlindWrite TOC file\Shell\Open\Command"; ValueType: String; ValueData: """{app}\Bw.exe"" ""%1"""; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "BlindWrite TOC file\DefaultIcon"; ValueType: String; ValueData: "{app}\Bw.exe,0"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\BlindWriteAutoplay_741406"; ValueName: "Action"; ValueType: String; ValueData: "Create a copy of this media"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\BlindWriteAutoplay_741406"; ValueName: "Provider"; ValueType: String; ValueData: "Blindwrite"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\BlindWriteAutoplay_741406"; ValueName: "InvokeProgID"; ValueType: String; ValueData: "BlindWriteAutoplay"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\BlindWriteAutoplay_741406"; ValueName: "InvokeVerb"; ValueType: String; ValueData: "BlindWriteAutoplay_741406"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\Handlers\BlindWriteAutoplay_741406"; ValueName: "DefaultIcon"; ValueType: String; ValueData: "{app}\bw.exe,0"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "BlindWriteAutoplay\shell\BlindWriteAutoplay_741406"; ValueType: String; ValueData: "Using BlindWrite"; 
Root: HKCR; Subkey: "BlindWriteAutoplay\shell\BlindWriteAutoplay_741406\command"; ValueType: String; ValueData: "{app}\Bw.exe"" ""%L\"; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\AutoplayHandlers\EventHandlers\HandleCDBurningOnArrival"; ValueName: "BlindwriteAutoplay_741406"; ValueType: String; Flags: uninsclearvalue 
Root: HKCR; Subkey: ".b5l"; ValueType: String; ValueData: "BlindWrite License file"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "BlindWrite License file"; ValueType: String; ValueData: "BlindWrite License file"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "BlindWrite License file\Shell\Open\Command"; ValueType: String; ValueData: """regedit.exe"" ""%1"""; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "BlindWrite License file\DefaultIcon"; ValueType: String; ValueData: "{app}\BW.exe,0"; Flags: uninsdeletevalue 

[Run]
Filename: "{app}\..\PcSetup.exe"; Parameters: "/deletecpl /install1 ""Please wait while patin-coufin driver is installing..."""; 
Filename: "{app}\EzPlay.exe"; Parameters: "/install"; 
Filename: "https://www.vso-software.fr/affiliate/thankyou.php?p=BlindWrite"; Languages: "en fr de it po nl br"; Flags: shellexec nowait

[UninstallRun]
Filename: "{app}\..\PcSetup.exe"; Parameters: "/deletecpl /remove1 "; WorkingDir: "{app}"; 
Filename: "{app}\EzPlay.exe"; Parameters: "/remove"; WorkingDir: "{app}"; 

[Icons]
Name: "{group}\BlindWrite 6"; Filename: "{app}\BW.exe"; WorkingDir: "{app}"; Comment: "BlindWrite 6"; 
Name: "{group}\drivers\Check"; Filename: "{app}\..\PcSetup.exe"; 
Name: "{group}\drivers\Install"; Filename: "{app}\..\PcSetup.exe"; Parameters: "/install /deletecpl ""Install and please reboot once finished..."""; WorkingDir: "{app}\.."; 
Name: "{group}\drivers\Remove"; Filename: "{app}\..\PcSetup.exe"; Parameters: "/remove ""uninstalling...please reboot to take effect"""; WorkingDir: "{app}\.."; 
Name: "{userdesktop}\BlindWrite 6"; Filename: "{app}\BW.exe"; 
Name: "{group}\rw tool"; Filename: "{app}\..\tools\Eraser.exe"; WorkingDir: "{app}\..\tools"; Comment: "Eraser"; 
Name: "{group}\EZ Play manager"; Filename: "{app}\EzPlay.exe"; WorkingDir: "{app}"; 
Name: "{group}\BWA Builder"; Filename: "{app}\BB.exe"; WorkingDir: "{app}"; Comment: "BB"; 

[InstallDelete]
Type: files; Name: "{app}\ogg.dll"; 
Type: files; Name: "{app}\vorbis.dll"; 
Type: files; Name: "{app}\vorbisfile.dll"; 

[CustomMessages]
en.NameAndVersion=%1 version %2
en.AdditionalIcons=Additional icons:
en.CreateDesktopIcon=Create a &desktop icon
en.CreateQuickLaunchIcon=Create a &Quick Launch icon
en.ProgramOnTheWeb=%1 on the Web
en.UninstallProgram=Uninstall %1
en.LaunchProgram=Launch %1
en.AssocFileExtension=&Associate %1 with the %2 file extension
en.AssocingFileExtension=Associating %1 with the %2 file extension...
de.NameAndVersion=%1 Version %2
de.AdditionalIcons=Zustzliche Symbole:
de.CreateDesktopIcon=&Desktop-Symbol erstellen
de.CreateQuickLaunchIcon=Symbol in der Schnellstartleiste erstellen
de.ProgramOnTheWeb=%1 im Internet
de.UninstallProgram=%1 entfernen
de.LaunchProgram=%1 starten
de.AssocFileExtension=&Registriere %1 mit der %2-Dateierweiterung
de.AssocingFileExtension=%1 wird mit der %2-Dateierweiterung registriert...
fr.NameAndVersion=%1 version %2
fr.AdditionalIcons=Icnes supplmentaires :
fr.CreateDesktopIcon=Crer une icne sur le &Bureau
fr.CreateQuickLaunchIcon=Crer une icne dans la barre de &Lancement rapide
fr.ProgramOnTheWeb=Page d'accueil de %1
fr.UninstallProgram=Dsinstaller %1
fr.LaunchProgram=Excuter %1
fr.AssocFileExtension=&Associer %1 avec l'extension de fichier %2
fr.AssocingFileExtension=Associe %1 avec l'extension de fichier %2...
sp.NameAndVersion=%1 versin %2
sp.AdditionalIcons=Iconos adicionales:
sp.CreateDesktopIcon=Crear un icono en el &escritorio
sp.CreateQuickLaunchIcon=Crear un icono de Inicio Rpido
sp.ProgramOnTheWeb=%1 en la Web
sp.UninstallProgram=Desinstalar %1
sp.LaunchProgram=Ejecutar %1
sp.AssocFileExtension=&Asociar %1 con la extensin de archivo %2
sp.AssocingFileExtension=Asociando %1 con la extensin de archivo %2...
da.NameAndVersion=%1 version %2
da.AdditionalIcons=Ekstra ikoner:
da.CreateDesktopIcon=Lav ikon p &skrivebordet
da.CreateQuickLaunchIcon=Lav &hurtigstart-ikon
da.ProgramOnTheWeb=%1 p internettet
da.UninstallProgram=Afinstaller (fjern) %1
da.LaunchProgram=Kr %1
da.AssocFileExtension=&Sammenkd %1 med filtypen %2
da.AssocingFileExtension=Sammenkder %1 med filtypen %2...
it.NameAndVersion=%1 versione %2
it.AdditionalIcons=Icone aggiuntive:
it.CreateDesktopIcon=Crea un'icona sul &desktop
it.CreateQuickLaunchIcon=Crea un'icona nella barra &Avvio veloce
it.ProgramOnTheWeb=%1 sul Web
it.UninstallProgram=Disinstalla %1
it.LaunchProgram=Avvia %1
it.AssocFileExtension=&Associa l'estensione %2 a %1
it.AssocingFileExtension=Associazione dell'estensione %2 a %1 in corso...
jp.NameAndVersion=%1 o[W %2
jp.AdditionalIcons=ACRǉ:
jp.CreateDesktopIcon=fXNgbvɃACR쐬(&d)
jp.CreateQuickLaunchIcon=&Quick Launch ACR쐬
jp.ProgramOnTheWeb=%1 on the Web
jp.UninstallProgram=%1 ACXg[
jp.LaunchProgram=%1 s
jp.AssocFileExtension=%2 t@Cg %1֘At܂B
jp.AssocingFileExtension=%2  %1֘At܂B
po.NameAndVersion=%1 wersja %2
po.AdditionalIcons=Dodatkowe ikony:
po.CreateDesktopIcon=Utwrz ikon na &pulpicie
po.CreateQuickLaunchIcon=Utwrz ikon na pasku &szybkiego uruchamiania
po.ProgramOnTheWeb=Strona WWW programu %1
po.UninstallProgram=Deinstalacja programu %1
po.LaunchProgram=Uruchom program %1
po.AssocFileExtension=&Przypisz program %1 do rozszerzenia pliku %2
po.AssocingFileExtension=Przypisywanie programu %1 do rozszerzenia pliku %2...
nl.NameAndVersion=%1 versie %2
nl.AdditionalIcons=Extra snelkoppelingen:
nl.CreateDesktopIcon=Maak een snelkoppeling op het &bureaublad
nl.CreateQuickLaunchIcon=Maak een snelkoppeling op de &Snel starten werkbalk
nl.ProgramOnTheWeb=%1 op het Web
nl.UninstallProgram=Verwijder %1
nl.LaunchProgram=&Start %1
nl.AssocFileExtension=&Koppel %1 aan de %2 bestandsextensie
nl.AssocingFileExtension=Bezig met koppelen van %1 aan de %2 bestandsextensie...
br.NameAndVersion=%1 version %2
br.AdditionalIcons=Additional icons:
br.CreateDesktopIcon=Create a &desktop icon
br.CreateQuickLaunchIcon=Create a &Quick Launch icon
br.ProgramOnTheWeb=%1 on the Web
br.UninstallProgram=Uninstall %1
br.LaunchProgram=Launch %1
br.AssocFileExtension=&Associate %1 with the %2 file extension
br.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; 
Name: "de"; MessagesFile: "embedded\de.isl"; 
Name: "fr"; MessagesFile: "embedded\fr.isl"; 
Name: "sp"; MessagesFile: "embedded\sp.isl"; 
Name: "da"; MessagesFile: "embedded\da.isl"; 
Name: "it"; MessagesFile: "embedded\it.isl"; 
Name: "jp"; MessagesFile: "embedded\jp.isl"; 
Name: "po"; MessagesFile: "embedded\po.isl"; 
Name: "nl"; MessagesFile: "embedded\nl.isl"; 
Name: "br"; MessagesFile: "embedded\br.isl"; 
